Name:           today
Version:        v6.2.1
Release:        1%{?dist}
Summary:        A script for keeping a daily journal

License:        GPL-3.0-or-later
URL:            https://sr.ht/~sotirisp/%{name}/
Source0:        https://git.sr.ht/~sotirisp/%{name}/archive/%{version}.tar.gz

BuildRequires:  scdoc
BuildRequires:  make

BuildArch:      noarch


%description
today is a POSIX shell script for keeping a daily journal. Each daily journal
is stored as a file whose basename is the corresponding date. It allows
editing, searching through and viewing journal files.


%prep
%setup -q


%build
%make_build doc/today.1


%install
%make_install PREFIX=/usr


%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%license LICENSES
%doc README.md


%changelog
%autochangelog
